from dataclasses import dataclass
from bytez.tasks.super_resolution.models import SuperResolutionModels
from bytez.tasks.text_summarization.models import TextSummarizationModels
from bytez.tasks.language_modelling.models import LanguageModellingModels
from bytez.tasks.style_transfer.models import StyleTransferModels
import re


def concat_non_alphanumeric(arr):
    updated_arr = []
    for item in arr:
        updated_item = re.sub(r'\W+', '_', item)
        updated_arr.append(updated_item)
    return updated_arr


@dataclass
class model:
    cmd_style_transfer = StyleTransferModels.cmd_style_transfer
    fast_style_transfer = StyleTransferModels.fast_style_transfer
    holmes_alan_dsrvae = SuperResolutionModels.holmes_alan_dsrvae
    chriskhanhtran_bert_extractive_summarization = TextSummarizationModels.chriskhanhtran_bert_extractive_summarization
    dmmiller612_bert_extractive_summarizer = TextSummarizationModels.dmmiller612_bert_extractive_summarizer
    hazyresearch_h3 = LanguageModellingModels.hazyresearch_h3
    blinkdl_rwkv_lm = LanguageModellingModels.blinkdl_rwkv_lm
    hhousen_docsum = TextSummarizationModels.hhousen_docsum
    tensorflow_fast_style = StyleTransferModels.tensorflow_fast_style


@dataclass
class task:
    super_resolution = SuperResolutionModels
    style_transfer = StyleTransferModels
    _14 = None
    _2048 = None
    _2d_cyclist_detection = None
    _2d_human_pose_estimation = None
    _2d_object_detection = None
    _2d_semantic_segmentation = None
    _2d_semantic_segmentation_task_1_8_classes_ = None
    _2d_semantic_segmentation_task_2_17_classes_ = None
    _2d_semantic_segmentation_task_3_25_classes_ = None
    _3d_absolute_human_pose_estimation = None
    _3d_action_recognition = None
    _3d_anomaly_detection = None
    _3d_anomaly_detection_and_segmentation = None
    _3d_assembly = None
    _3d_bin_packing = None
    _3d_canonical_hand_pose_estimation = None
    _3d_canonicalization = None
    _3d_car_instance_understanding = None
    _3d_character_animation_from_a_single_photo = None
    _3d_classification = None
    _3d_dense_captioning = None
    _3d_dense_shape_correspondence = None
    _3d_depth_estimation = None
    _3d_face_alignment = None
    _3d_face_animation = None
    _3d_face_modeling = None
    _3d_face_reconstruction = None
    _3d_facial_expression_recognition = None
    _3d_facial_landmark_localization = None
    _3d_feature_matching = None
    _3d_geometry_perception = None
    _3d_geometry_prediction = None
    _3d_hand_pose_estimation = None
    _3d_holography = None
    _3d_human_action_recognition = None
    _3d_human_dynamics = None
    _3d_human_pose_and_shape_estimation = None
    _3d_human_pose_estimation = None
    _3d_human_pose_tracking = None
    _3d_human_reconstruction = None
    _3d_human_shape_estimation = None
    _3d_inpainting = None
    _3d_instance_segmentation = None
    _3d_lane_detection = None
    _3d_medical_imaging_segmentation = None
    _3d_multi_object_tracking = None
    _3d_multi_person_human_pose_estimation = None
    _3d_multi_person_mesh_recovery = None
    _3d_multi_person_pose_estimation = None
    _3d_multi_person_pose_estimation_absolute_ = None
    _3d_multi_person_pose_estimation_root_relative_ = None
    _3d_object_classification = None
    _3d_object_detection = None
    _3d_object_detection_from_monocular_images = None
    _3d_object_detection_from_stereo_images = None
    _3d_object_recognition = None
    _3d_object_reconstruction = None
    _3d_object_reconstruction_from_a_single_image = None
    _3d_object_retrieval = None
    _3d_object_super_resolution = None
    _3d_object_tracking = None
    _3d_object_understanding = None
    _3d_part_segmentati = None
    _3d_part_segmentation = None
    _3d_plane_detection = None
    _3d_point_cloud_classification = None
    _3d_point_cloud_linear_classification = None
    _3d_point_cloud_matching = None
    _3d_point_cloud_reconstruction = None
    _3d_pose_estimation = None
    _3d_reconstruction = None
    _3d_room_layouts_from_a_single_rgb_panorama = None
    _3d_rotation_estimation = None
    _3d_scene_reconstruction = None
    _3d_semantic_instance_segmentation = None
    _3d_semantic_scene_completion = None
    _3d_semantic_segmentation = None
    _3d_shape_analysis = None
    _3d_shape_classification = None
    _3d_shape_generation = None
    _3d_shape_modeling = None
    _3d_shape_recognition = None
    _3d_shape_reconstruction = None
    _3d_shape_reconstruction_from_a_single_2d_image = None
    _3d_shape_reconstruction_from_videos = None
    _3d_shape_representation = None
    _3d_shape_retrieval = None
    _3d_simulation = None
    _3d_single_object_tracking = None
    _3d_surface_generation = None
    _3d_t1w_mri_classification = None
    _3d_unsupervised_domain_adaptation = None
    _3d_volumetric_reconstruction = None
    _3d_aware_image_synthesis = None
    _4 = None
    _4_ary_relation_extraction = None
    _4d_spatio_temporal_semantic_segmentation = None
    _5_labeled_data = None
    _6d_pose_estimation = None
    _6d_pose_estimation_using_rgb = None
    _6d_pose_estimation_using_rgbd = None
    abbreviationdetection = None
    abnormal_event_detection_in_video = None
    abstract_algebra = None
    abstract_anaphora_resolution = None
    abstract_argumentation = None
    abstractive_dialogue_summarization = None
    abstractive_question_answering = None
    abstractive_sentence_summarization = None
    abstractive_text_summarization = None
    abuse_detection = None
    abusive_language = None
    accented_speech_recognition = None
    accident_anticipation = None
    accuracy_metrics = None
    acoustic_echo_cancellation = None
    acoustic_modelling = None
    acoustic_novelty_detection = None
    acoustic_question_answering = None
    acoustic_scene_classification = None
    acoustic_unit_discovery = None
    acrobot = None
    action_analysis = None
    action_anticipation = None
    action_assessment = None
    action_classification = None
    action_detection = None
    action_generation = None
    action_localization = None
    action_parsing = None
    action_quality_assessment = None
    action_recognition = None
    action_recognition_in_still_images = None
    action_recognition_in_videos = None
    action_segmentation = None
    action_spotting = None
    action_triplet_recognition = None
    action_understanding = None
    action_unit_detection = None
    active_learning = None
    active_object_detection = None
    active_object_localization = None
    active_observation_completion = None
    activeness_detection = None
    activity_detection = None
    activity_prediction = None
    activity_recognition = None
    activity_recognition_in_videos = None
    acute_stroke_lesion_segmentation = None
    ad_hoc_information_retrieval = None
    ad_hoc_video_search = None
    additive_models = None
    adversarial_attack = None
    adversarial_attack_detection = None
    adversarial_defense = None
    adversarial_robustness = None
    adversarial_text = None
    adversarial_training = None
    aerial_scene_classification = None
    aerial_video_saliency_prediction = None
    aerial_video_semantic_segmentation = None
    aesthetic_image_captioning = None
    aesthetics_quality_assessment = None
    affine_image_registration = None
    affine_transformation = None
    affordance_detection = None
    affordance_recognition = None
    age_and_gender_classification = None
    age_estimation = None
    age_invariant_face_recognition = None
    age_related_macular_degeneration_classification = None
    aggression_identification = None
    air_pollution_prediction = None
    air_quality_inference = None
    algorithmic_trading = None
    als_detection = None
    alzheimer_s_disease_detection = None
    amodal_instance_segmentation = None
    amodal_layout_estimation = None
    amodal_panoptic_segmentation = None
    amr_parsing = None
    amr_to_text_generation = None
    analogical_questions = None
    analogical_similarity = None
    anatomy = None
    ancestor_descendant_prediction = None
    anchor_link_prediction = None
    ancient_text_restoration = None
    android_malware_detection = None
    animal_action_recognition = None
    animal_pose_estimation = None
    animated_gif_generation = None
    annotated_code_search = None
    anomaly_detection = None
    anomaly_detection_in_edge_streams = None
    anomaly_detection_in_surveillance_videos = None
    anorexia_detection = None
    answer_generation = None
    answer_selection = None
    api_sequence_recommendation = None
    arabic_sentiment_analysis = None
    arabic_text_diacritization = None
    arbitrary_conditional_density_estimation = None
    argument_mining = None
    argument_retrieval = None
    arithmetic = None
    arithmetic_reasoning = None
    arousal_estimation = None
    arrhythmia_detection = None
    art_analysis = None
    artificial_life = None
    aspect_category_detection = None
    aspect_category_polarity = None
    aspect_extraction = None
    aspect_sentiment_triplet_extraction = None
    aspect_based_sentiment_analysis = None
    aspect_sentiment_opinion_triplet_extraction = None
    association = None
    astronomy = None
    atari_games = None
    atari_games_100k = None
    atomic_action_recognition = None
    atrial_fibrillation_detection = None
    atrial_fibrillation_recurrence_estimation = None
    attention_score_prediction = None
    attentive_segmentation_networks = None
    attractiveness_estimation = None
    attribute_extraction = None
    attribute_type_extraction = None
    attribute_value_extraction = None
    audio_captioning = None
    audio_classification = None
    audio_denoising = None
    audio_fingerprint = None
    audio_generation = None
    audio_inpainting = None
    audio_question_answering = None
    audio_signal_processing = None
    audio_signal_recognition = None
    audio_source_separation = None
    audio_super_resolution = None
    audio_tagging = None
    audio_to_text_retrieval = None
    audio_visual_active_speaker_detection = None
    audio_visual_event_localization = None
    audio_visual_learning = None
    audio_visual_speech_recognition = None
    audio_visual_synchronization = None
    audio_visual_video_captioning = None
    author_attribution = None
    authorship_verification = None
    auto_debugging = None
    automated_essay_scoring = None
    automated_feature_engineering = None
    automated_pancreas_segmentation = None
    automated_pulmonary_nodule_detection_and_classification = None
    automated_theorem_proving = None
    automated_writing_evaluation = None
    automatic_liver_and_tumor_segmentation = None
    automatic_machine_learning_model_selection = None
    automatic_post_editing = None
    automatic_sleep_stage_classification = None
    automatic_speech_recognition = None
    automatic_speech_recognition_asr_ = None
    automl = None
    autonomous_driving = None
    autonomous_flight_dense_forest_ = None
    autonomous_navigation = None
    autonomous_vehicles = None
    auxiliary_learning = None
    avg = None
    backdoor_attack = None
    band_gap = None
    band_gap_classification = None
    band_gap_regression = None
    bandwidth_extension = None
    bangla_spelling_error_correction = None
    bayesian_inference = None
    bayesian_optimisation = None
    bbbc021_nsc_accuracy = None
    behavioral_malware_classification = None
    behavioral_malware_detection = None
    behavioural_cloning = None
    benchmark = None
    benchmarking = None
    bias_detection = None
    bidirectional_relationship_classification = None
    big_bench_machine_learning = None
    bilevel_optimization = None
    bilingual_lexicon_induction = None
    binarization = None
    binary_relation_extraction = None
    binary_text_classification = None
    biologically_plausible_training = None
    biomedical_information_retrieval = None
    bird_audio_detection = None
    bird_species_classification_with_audio_visual_data = None
    bird_view_synthesis = None
    bird_s_eye_view_semantic_segmentation = None
    birds_eye_view_object_detection = None
    birl = None
    blended_target_domain_adaptation = None
    blind_docking = None
    blind_face_restoration = None
    blind_image_deblurring = None
    blind_image_quality_assessment = None
    blind_super_resolution = None
    blood_cell_detection = None
    blood_pressure_estimation = None
    board_games = None
    body_detection = None
    bokeh_effect_rendering = None
    bone_suppression_from_dual_energy_chest_x_rays = None
    boundary_captioning = None
    boundary_detection = None
    boundary_grounding = None
    box_supervised_instance_segmentation = None
    brain_decoding = None
    brain_image_segmentation = None
    brain_lesion_segmentation_from_mri = None
    brain_segmentation = None
    brain_tumor_segmentation = None
    brain_ventricle_localization_and_segmentation_in_3d_ultrasound_images = None
    brdf_estimation = None
    breast_cancer_detection = None
    breast_cancer_histology_image_classification = None
    breast_cancer_histology_image_classification_20_labels_ = None
    breast_density_classification = None
    breast_mass_segmentation_in_whole_mammograms = None
    breast_tissue_identification = None
    breast_tumour_classification = None
    bridging_anaphora_resolution = None
    bsds500 = None
    building_change_detection_for_remote_sensing_images = None
    business_taxonomy_construction = None
    calibration = None
    calibration_for_link_prediction = None
    camera_auto_calibration = None
    camera_calibration = None
    camera_localization = None
    camera_relocalization = None
    camouflage_segmentation = None
    camouflaged_object_segmentation = None
    cancer_metastasis_detection = None
    cancer_type_classification = None
    cantilever_beam = None
    capacity_estimation = None
    captcha_detection = None
    car_pose_estimation = None
    car_racing = None
    card_games = None
    cardiac_segmentation = None
    caricature = None
    carla_map_leaderboard = None
    cartoon_to_real_translation = None
    causal_discovery = None
    causal_emotion_entailment = None
    causal_identification = None
    causal_inference = None
    causal_language_modeling = None
    cause_effect_relation_classification = None
    cbct_artifact_reduction = None
    ccg_supertagging = None
    cell_segmentation = None
    cerebrovascular_network_segmentation = None
    cervical_cancer_biopsy_identification = None
    cervical_nucleus_detection = None
    cervical_spondylosis_identification = None
    change_detection = None
    change_detection_for_remote_sensing_images = None
    change_point_detection = None
    chatbot = None
    chemical_reaction_prediction = None
    chinese_dependency_parsing = None
    chinese_landscape_painting_generation = None
    chinese_named_entity_recognition = None
    chinese_part_of_speech_tagging = None
    chinese_reading_comprehension = None
    chinese_semantic_role_labeling = None
    chinese_sentence_pair_classification = None
    chinese_sentiment_analysis = None
    chinese_spell_checking = None
    chinese_spelling_error_correction = None
    chinese_word_segmentation = None
    chinese_zero_pronoun_resolution = None
    chord_recognition = None
    chromatin_profile_prediction = None
    chunking = None
    circulatory_failure = None
    citation_intent_classification = None
    citation_prediction = None
    citation_recommendation = None
    claim_extraction_with_stance_classification_cesc_ = None
    claim_verification = None
    claim_evidence_pair_extraction_cepe_ = None
    class_incremental_learning = None
    class_agnostic_object_detection = None
    class_incremental_learning = None
    classification = None
    classification_consistency = None
    classification_of_breast_cancer_histology_images = None
    classification_of_hyperspectral_images = None
    classification_of_toxic = None
    engaging = None
    fact_claiming_comments = None
    classification_of_variable_stars = None
    classification_on_time_series_with_missing_data = None
    classification_with_binary_neural_network = None
    classification_with_binary_weight_network = None
    classification_with_costly_features = None
    classifier_calibration = None
    classify_3d_point_clouds = None
    clean_label_backdoor_attack_0_024_ = None
    clean_label_backdoor_attack_0_05_ = None
    click_through_rate_prediction = None
    clickbait_detection = None
    clinical_concept_extraction = None
    clinical_information_retreival = None
    clinical_knowledge = None
    clinical_language_translation = None
    clone_detection = None
    clothes_landmark_detection = None
    cloud_detection = None
    cloud_removal = None
    cloze_multi_choices_few_shot_ = None
    cloze_multi_choices_one_shot_ = None
    cloze_multi_choices_zero_shot_ = None
    cloze_test = None
    clustering = None
    clustering_algorithms_evaluation = None
    clustering_ensemble = None
    clustering_multivariate_time_series = None
    co_saliency_detection = None
    co_salient_object_detection = None
    code_classification = None
    code_comment_generation = None
    code_completion = None
    code_documentation_generation = None
    code_generation = None
    code_repair = None
    code_search = None
    code_summarization = None
    code_translation = None
    coherence_evaluation = None
    cola = None
    collaborative_filtering = None
    collaborative_ranking = None
    colon_cancer_detection_in_confocal_laser_microscopy_images = None
    color_constancy = None
    color_image_compression_artifact_reduction = None
    color_image_denoising = None
    color_mismatch_correction = None
    colorectal_gland_segmentation_ = None
    colorization = None
    combinatorial_optimization = None
    common_sense_reasoning = None
    common_sense_reasoning_few_shot_ = None
    common_sense_reasoning_one_shot_ = None
    common_sense_reasoning_zero_shot_ = None
    commonsense_causal_reasoning = None
    commonsense_knowledge_base_construction = None
    commonsense_reasoning_for_rl = None
    community_detection = None
    community_question_answering = None
    community_search = None
    complaint_comment_classification = None
    complex_query_answering = None
    complex_word_identification = None
    complimentary_image_retrieval = None
    component_classification = None
    compositional_zero_shot_learning = None
    compressed_image_super_resolution = None
    compressive_sensing = None
    computational_phenotyping = None
    computed_tomography_ct_ = None
    computer_security = None
    computer_vision = None
    concept_to_text_generation = None
    concurrent_activity_recognition = None
    conditional_image_generation = None
    conditional_text_generation = None
    conformal_prediction = None
    connectivity_estimation = None
    constituency_grammar_induction = None
    constituency_parsing = None
    constrained_diffeomorphic_image_registration = None
    constrained_lip_synchronization = None
    constructive_comment_classification = None
    content_based_filtering = None
    content_based_image_retrieval = None
    contextual_anomaly_detection = None
    contextual_embedding_for_source_code = None
    contextualised_word_representations = None
    continual_few_shot_learning = None
    continual_learning = None
    continual_named_entity_recognition = None
    continual_pretraining = None
    continual_relation_extraction = None
    continual_semantic_segmentation = None
    continuous_control = None
    continuous_object_recognition = None
    contour_detection = None
    contrastive_learning = None
    conversation_disentanglement = None
    conversational_question_answering = None
    conversational_response_generation = None
    conversational_response_selection = None
    conversational_search = None
    coos_7_accuracy = None
    copy_detection = None
    core_psychological_reasoning = None
    coreference_resolution = None
    correlated_time_series_forecasting = None
    counterfactual_detection = None
    counterfactual_explanation = None
    counterfactual_inference = None
    cover_song_identification = None
    covid_19_diagnosis = None
    covid_19_image_segmentation = None
    covid_19_modelling = None
    covid_19_tracking = None
    crack_segmentation = None
    credit_score = None
    crime_prediction = None
    crop_classification = None
    crop_yield_prediction = None
    cross_document_coreference_resolution = None
    cross_corpus = None
    cross_document_language_modeling = None
    cross_domain_activity_recognition = None
    cross_domain_document_classification = None
    cross_domain_few_shot = None
    cross_domain_few_shot_learning = None
    cross_domain_iris_presentation_attack_detection = None
    cross_domain_named_entity_recognition = None
    cross_domain_text_classification = None
    cross_environment_asr = None
    cross_language_text_summarization = None
    cross_lingual_abstractive_summarization = None
    cross_lingual_asr = None
    cross_lingual_bitext_mining = None
    cross_lingual_document_classification = None
    cross_lingual_entity_linking = None
    cross_lingual_information_retrieval = None
    cross_lingual_natural_language_inference = None
    cross_lingual_ner = None
    cross_lingual_paraphrase_identification = None
    cross_lingual_question_answering = None
    cross_lingual_semantic_textual_similarity = None
    cross_lingual_sentiment_classification = None
    cross_lingual_transfer = None
    cross_lingual_visual_natural_language_inference = None
    cross_lingual_word_embeddings = None
    cross_modal_information_retrieval = None
    cross_modal_person_re_identification = None
    cross_modal_retrieval = None
    cross_modality_person_re_identification = None
    cross_view_image_to_image_translation = None
    crowd_counting = None
    crowd_flows_prediction = None
    crowdsourced_text_aggregation = None
    cryogenic_electron_microscopy_cryo_em_ = None
    cryptanalysis = None
    cube_engraving_classification = None
    cubic_splines_image_registration = None
    curriculum_learning = None
    curved_text_detection = None
    cyber_attack_detection = None
    d4rl = None
    damaged_building_detection = None
    data_ablation = None
    data_augmentation = None
    data_compression = None
    data_free_quantization = None
    data_integration = None
    data_poisoning = None
    data_structures_and_algorithms = None
    data_summarization = None
    data_valuation = None
    data_visualization = None
    data_to_text_generation = None
    dataset_condensation = None
    date_understanding = None
    de_aliasing = None
    de_identification = None
    dead_reckoning_prediction = None
    deblurring = None
    deception_detection = None
    deception_detection_in_videos = None
    decipherment = None
    decision_making = None
    decision_making_under_uncertainty = None
    decompensation = None
    deep_attention = None
    deep_clustering = None
    deep_feature_inversion = None
    deep_nonparametric_clustering = None
    deep_sea_treasure = None
    image_version = None
    deepfake_detection = None
    deepmind = None
    defect_detection = None
    definition_extraction = None
    definition_modelling = None
    defocus_estimation = None
    deformable_medical_image_registration = None
    deformable_object_manipulation = None
    demosaicking = None
    denoising = None
    denoising_of_radar_micro_doppler_signatures = None
    dense_captioning = None
    dense_object_detection = None
    dense_pixel_correspondence_estimation = None
    dense_video_captioning = None
    density_estimation = None
    density_ratio_estimation = None
    dependency_grammar_induction = None
    dependency_parsing = None
    depiction_invariant_object_recognition = None
    depression_detection = None
    depth_and_camera_motion = None
    depth_anomaly_detection_and_segmentation = None
    depth_completion = None
    depth_estimation = None
    depth_image_estimation = None
    depth_image_upsampling = None
    depth_map_super_resolution = None
    depth_prediction = None
    depth_aware_video_panoptic_segmentation = None
    design_synthesis = None
    detect_forged_images_and_videos = None
    detecting_adverts = None
    detecting_image_manipulation = None
    detecting_shadows = None
    developmental_learning = None
    diabetes_prediction = None
    diabetic_foot_ulcer_detection = None
    diabetic_retinopathy_detection = None
    diabetic_retinopathy_grading = None
    diachronic_word_embeddings = None
    dial_meter_reading = None
    dialect_identification = None
    dialog_act_classification = None
    dialog_learning = None
    dialog_relation_extraction = None
    dialog_state_tracking = None
    dialogue_act_classification = None
    dialogue_evaluation = None
    dialogue_generation = None
    dialogue_interpretation = None
    dialogue_management = None
    dialogue_rewriting = None
    dialogue_safety_prediction = None
    dialogue_state_tracking = None
    dialogue_summary = None
    dialogue_understanding = None
    dichotomous_image_segmentation = None
    dictionary_learning = None
    diffeomorphic_medical_image_registration = None
    dimensionality_reduction = None
    direction_of_arrival_estimation = None
    disaster_response = None
    discourse_parsing = None
    discovery_of_integrative_cancer_subtypes = None
    discrete_mathematics = None
    disease_prediction = None
    disease_trajectory_forecasting = None
    disentanglement = None
    disguised_face_verification = None
    disparity_estimation = None
    displaced_people_recognition = None
    distant_speech_recognition = None
    distractor_generation = None
    distributed_computing = None
    distributed_optimization = None
    distributional_reinforcement_learning = None
    dnn_testing = None
    document_ai = None
    document_binarization = None
    document_classification = None
    document_dating = None
    document_embedding = None
    document_image_classification = None
    document_layout_analysis = None
    document_level_machine_translation = None
    document_ranking = None
    document_summarization = None
    document_to_image_conversion = None
    document_translation = None
    document_level = None
    document_level_event_extraction = None
    document_level_relation_extraction = None
    domain_1_1 = None
    domain_11_1 = None
    domain_11_5 = None
    domain_adaptation = None
    domain_adaptive_person_re_identification = None
    domain_generalization = None
    domain_labelling = None
    domain_il_continual_learning = None
    dota_2 = None
    dqn_replay_dataset = None
    drawing_pictures = None
    drivable_area_detection = None
    driver_attention_monitoring = None
    drone_controller = None
    drone_navigation = None
    drone_pose_estimation = None
    drone_based_object_tracking = None
    drone_view_target_localization = None
    drs_parsing = None
    drug_discovery = None
    drug_response_prediction = None
    drugprot = None
    drug_drug_interaction_extraction = None
    drum_transcription = None
    duplicate_question_retrieval = None
    dynamic_community_detection = None
    dynamic_graph_embedding = None
    dynamic_link_prediction = None
    dynamic_reconstruction = None
    dynamic_region_segmentation = None
    dynamic_texture_recognition = None
    dynamic_time_warping = None
    early_action_prediction = None
    earth_surface_forecasting = None
    earthquake_prediction = None
    ecg_based_sleep_staging = None
    ecg_classification = None
    ecg_denoising = None
    ecg_qrs_detection = None
    ecg_risk_stratification = None
    ecg_wave_delineation = None
    econometrics = None
    edge_classification = None
    edge_detection = None
    edge_computing = None
    eeg = None
    eeg_4_classes = None
    eeg_artifact_removal = None
    eeg_based_sleep_staging = None
    eeg_decoding = None
    eeg_denoising = None
    eeg_emotion_recognition = None
    eeg_left_right_hand = None
    efficient_exploration = None
    efficient_neural_network = None
    egocentric_activity_recognition = None
    egocentric_pose_estimation = None
    electrocardiography_ecg_ = None
    electroencephalogram_eeg_ = None
    electromyography_emg_ = None
    electron_microscopy = None
    electron_microscopy_image_segmentation = None
    electron_tomography = None
    embodied_question_answering = None
    emergent_communications_on_relations = None
    emg_gesture_recognition = None
    emotion_cause_extraction = None
    emotion_classification = None
    emotion_recognition = None
    emotion_recognition_in_context = None
    emotion_recognition_in_conversation = None
    emotion_cause_pair_extraction = None
    emotional_dialogue_acts = None
    emotional_intelligence = None
    emotional_speech_synthesis = None
    empathetic_response_generation = None
    end_to_end_dialogue_modelling = None
    end_to_end_speech_recognition = None
    energy_management = None
    energy_trading = None
    engaging_comment_classification = None
    english_conversational_speech_recognition = None
    ensemble_learning = None
    ensemble_pruning = None
    entity_alignment = None
    entity_cross_document_coreference_resolution = None
    entity_disambiguation = None
    entity_embeddings = None
    entity_extraction = None
    entity_extraction_using_gan = None
    entity_linking = None
    entity_resolution = None
    entity_retrieval = None
    entity_typing = None
    entity_typing_on_dh_kgs = None
    enumerative_search = None
    environmental_sound_classification = None
    epidemiology = None
    epilepsy_prediction = None
    ethics = None
    event_argument_extraction = None
    event_causality_identification = None
    event_coreference_resolution = None
    event_cross_document_coreference_resolution = None
    event_data_classification = None
    event_detection = None
    event_extraction = None
    event_segmentation = None
    event_based_optical_flow = None
    event_based_vision = None
    evidence_selection = None
    experimental_design = None
    explainable_artificial_intelligence = None
    explainable_models = None
    explainable_recommendation = None
    explanation_fidelity_evaluation = None
    explanation_generation = None
    expressive_speech_synthesis = None
    extended_summarization = None
    extract_aspect = None
    extracting_buildings_in_remote_sensing_images = None
    extracting_covid_19_events_from_twitter = None
    extractive_document_summarization = None
    extractive_question_answering = None
    extractive_summarization = None
    extractive_tags_summarization = None
    extractive_text_summarization = None
    extreme_multi_label_classification = None
    extreme_sample_generation = None
    extreme_summarization = None
    eye_tracking = None
    face_age_editing = None
    face_alignment = None
    face_anonymization = None
    face_anti_spoofing = None
    face_clustering = None
    face_detection = None
    face_generation = None
    face_hallucination = None
    face_identification = None
    face_image_quality = None
    face_image_quality_assessment = None
    face_image_retrieval = None
    face_model = None
    face_parsing = None
    face_presentation_attack_detection = None
    face_quality_assessement = None
    face_recognition = None
    face_recognition_closed_set_ = None
    face_reconstruction = None
    face_reenactment = None
    face_selection = None
    face_sketch_synthesis = None
    face_swapping = None
    face_to_face_translation = None
    face_transfer = None
    face_verification = None
    facial_action_unit_detection = None
    facial_attribute_classification = None
    facial_beauty_prediction = None
    facial_editing = None
    facial_emotion_recognition = None
    facial_expression_generation = None
    facial_expression_recognition = None
    facial_expression_recognition_fer_ = None
    facial_expression_translation = None
    facial_inpainting = None
    facial_landmark_detection = None
    facial_makeup_transfer = None
    facies_classification = None
    fact_checking = None
    fact_selection = None
    fact_verification = None
    fact_claiming_comment_classification = None
    factual_probe = None
    factual_visual_question_answering = None
    fad = None
    fad_curve_analysis = None
    fairness = None
    fake_image_attribution = None
    fake_image_detection = None
    fake_news_detection = None
    fashion_synthesis = None
    fashion_understanding = None
    fast_vehicle_detection = None
    fault_detection = None
    fault_localization = None
    feature_compression = None
    feature_engineering = None
    feature_importance = None
    feature_selection = None
    federated_learning = None
    federated_lifelong_person_reid = None
    few_shot_anomaly_detection = None
    few_shot_temporal_action_localization = None
    few_shot_action_recognition = None
    few_shot_audio_classification = None
    few_shot_camera_adaptive_color_constancy = None
    few_shot_class_incremental_learning = None
    few_shot_classification_and_segmentation = None
    few_shot_image_classification = None
    few_shot_imitation_learning = None
    few_shot_learning = None
    few_shot_ner = None
    few_shot_nli = None
    few_shot_object_detection = None
    few_shot_regression = None
    few_shot_relation_classification = None
    few_shot_semantic_segmentation = None
    few_shot_text_classification = None
    few_shot_video_object_detection = None
    fg_1_pg_1 = None
    fill_mask = None
    filling_level_estimation = None
    filling_mass_estimation = None
    filling_type_estimation = None
    finding_pulmonary_nodules_in_large_scale_ct_images = None
    fine_grained_action_detection = None
    fine_grained_action_recognition = None
    fine_grained_facial_editing = None
    fine_grained_image_classification = None
    fine_grained_image_recognition = None
    fine_grained_opinion_analysis = None
    fine_grained_vehicle_classification = None
    fine_grained_visual_categorization = None
    fine_grained_visual_recognition = None
    fine_tuning = None
    finger_dorsal_image_spoof_detection = None
    fire_detection = None
    fish_detection = None
    flare_removal = None
    flooded_building_segmentation = None
    flowchart_grounded_dialog_response_generation = None
    font_generation = None
    font_style_transfer = None
    food_recognition = None
    food_recommendation = None
    football_action_valuation = None
    formal_logic = None
    formation_energy = None
    fovea_detection = None
    foveation = None
    fps_games = None
    frame = None
    frame_duplication_detection = None
    fraud_detection = None
    friction = None
    future_prediction = None
    gait_identification = None
    gait_recognition = None
    gait_recognition_in_the_wild = None
    galaxy_emergent_property_recreation = None
    gallbladder_cancer_detection = None
    game_of_chess = None
    game_of_cricket = None
    game_of_doom = None
    game_of_football = None
    game_of_go = None
    game_of_hanabi = None
    game_of_poker = None
    game_of_shogi = None
    gan_image_forensics = None
    gan_inversion = None
    gaussian_processes = None
    gaze_estimation = None
    gaze_prediction = None
    gaze_redirection = None
    gender_bias_detection = None
    gender_prediction = None
    gene_interaction_prediction = None
    general_classification = None
    general_knowledge = None
    general_reinforcement_learning = None
    generalizable_novel_view_synthesis = None
    generalizable_person_re_identification = None
    generalization_bounds = None
    generalized_few_shot_classification = None
    generalized_few_shot_learning = None
    generalized_few_shot_semantic_segmentation = None
    generalized_zero_shot_learning = None
    generating_3d_point_clouds = None
    generative_models = None
    generative_question_answering = None
    genre_classification = None
    geometric_matching = None
    geometry_aware_processing = None
    geophysics = None
    gesture_generation = None
    gesture_recognition = None
    gesture_to_gesture_translation = None
    git_commit_message_generation = None
    global_optimization = None
    goal_oriented_dialog = None
    goal_oriented_dialogue_systems = None
    gpr = None
    grammatical_error_correction = None
    grammatical_error_detection = None
    graph_attention = None
    graph_classification = None
    graph_clustering = None
    graph_construction = None
    graph_convolutional_network = None
    graph_embedding = None
    graph_generation = None
    graph_learning = None
    graph_matching = None
    graph_mining = None
    graph_outlier_detection = None
    graph_partitioning = None
    graph_property_prediction = None
    graph_question_answering = None
    graph_ranking = None
    graph_reconstruction = None
    graph_regression = None
    graph_representation_learning = None
    graph_sampling = None
    graph_similarity = None
    graph_structure_learning = None
    graph_to_graph_translation = None
    graph_to_sequence = None
    graphon_estimation = None
    grasp_contact_prediction = None
    grasp_generation = None
    gravitational_wave_detection = None
    grayscale_image_denoising = None
    grounded_language_learning = None
    grounded_situation_recognition = None
    group_activity_recognition = None
    group_anomaly_detection = None
    group_detection_in_crowds = None
    gsm8k = None
    gunshot_detection = None
    hallucination_pair_wise_detection_1_ref_ = None
    hallucination_pair_wise_detection_4_ref_ = None
    hand_detection = None
    hand_gesture_segmentation = None
    hand_joint_reconstruction = None
    hand_keypoint_localization = None
    hand_pose_estimation = None
    hand_segmentation = None
    hand_gesture_recognition = None
    hand_object_pose = None
    handwriting_generation = None
    handwriting_recognition = None
    handwriting_verification = None
    handwritten_chinese_text_recognition = None
    handwritten_digit_image_synthesis = None
    handwritten_digit_recognition = None
    handwritten_document_recognition = None
    handwritten_text_recognition = None
    handwritten_word_generation = None
    hard_attention = None
    hard_label_attack = None
    hardware_aware_neural_architecture_search = None
    hate_speech_detection = None
    hd_semantic_map_learning = None
    hdr_reconstruction = None
    head_detection = None
    head_pose_estimation = None
    headline_generation = None
    heart_rate_estimation = None
    heart_rate_variability = None
    heart_segmentation = None
    heartbeat_classification = None
    heterogeneous_face_recognition = None
    heterogeneous_node_classification = None
    hidden_aspect_detection = None
    hierarchical_multi_label_classification = None
    hierarchical_reinforcement_learning = None
    hierarchical_structure = None
    hierarchical_text_classification_of_blurbs_germeval_2019_ = None
    highlight_detection = None
    highlight_removal = None
    hindu_knowledge = None
    hippocampus = None
    histopathological_image_classification = None
    histopathological_segmentation = None
    historical_color_image_dating = None
    holdout_set = None
    home_activity_monitoring = None
    homography_estimation = None
    hope_speech_detection = None
    horizon_line_estimation = None
    house_generation = None
    human_action_generation = None
    human_activity_recognition = None
    human_behavior_forecasting = None
    human_body_volume_estimation = None
    human_detection = None
    human_detection_of_deepfakes = None
    human_dynamics = None
    human_fmri_response_prediction = None
    human_grasp_contact_prediction = None
    human_instance_segmentation = None
    human_interaction_recognition = None
    human_judgment_classification = None
    human_judgment_correlation = None
    human_mesh_recovery = None
    human_motion_prediction = None
    human_parsing = None
    human_part_segmentation = None
    human_pose_forecasting = None
    human_robot_interaction = None
    human_object_interaction_concept_discovery = None
    human_object_interaction_detection = None
    human_object_interaction_motion_tracking = None
    human_scene_contact_detection = None
    humanitarian = None
    humanoid_control = None
    humor_detection = None
    hurricane_forecasting = None
    hybrid_positioning = None
    hyperedge_classification = None
    hyperedge_prediction = None
    hypergraph_embedding = None
    hypergraph_matching = None
    hypergraph_partitioning = None
    hypergraph_representations = None
    hypernym_discovery = None
    hyperparameter_optimization = None
    hyperspectral_image_analysis = None
    hyperspectral_image_classification = None
    hyperspectral_image_denoising = None
    hyperspectral_image_segmentation = None
    hyperspectral_image_super_resolution = None
    hyperspectral_unmixing = None
    hypothesis_testing = None
    icu_mortality = None
    im2spec = None
    image = None
    image_and_sketch_based_model_retrieval = None
    image_animation = None
    image_augmentation = None
    image_captioning = None
    image_categorization = None
    image_classification = None
    image_classification_with_differential_privacy = None
    image_classification_with_dp = None
    image_classification_with_human_noise = None
    image_classification_with_label_noise = None
    image_clustering = None
    image_colorization = None
    image_compressed_sensing = None
    image_compression = None
    image_compression_artifact_reduction = None
    image_cropping = None
    image_deblocking = None
    image_deblurring = None
    image_declipping = None
    image_deconvolution = None
    image_deep_networks = None
    image_defocus_deblurring = None
    image_dehazing = None
    image_denoising = None
    image_enhancement = None
    image_forensics = None
    image_generation = None
    image_generation_from_scene_graphs = None
    image_harmonization = None
    image_imputation = None
    image_inpainting = None
    image_instance_retrieval = None
    image_interpolation = None
    image_manipulation = None
    image_manipulation_detection = None
    image_matching = None
    image_matting = None
    image_morphing = None
    image_outpainting = None
    image_paragraph_captioning = None
    image_popularity_prediction = None
    image_quality_assessment = None
    image_quality_estimation = None
    image_reconstruction = None
    image_registration = None
    image_relighting = None
    image_restoration = None
    image_retargeting = None
    image_retouching = None
    image_retrieval = None
    image_retrieval_with_multi_modal_query = None
    image_segmentation = None
    image_shadow_removal = None
    image_similarity_detection = None
    image_similarity_search = None
    image_smoothing = None
    image_steganography = None
    image_stitching = None
    image_stylization = None
    image_super_resolution = None
    image_text_removal = None
    image_to_point_cloud_registration = None
    image_to_video_generation = None
    image_based_automatic_meter_reading = None
    image_based_localization = None
    image_level_supervised_instance_segmentation = None
    image_text_classification = None
    image_text_retrieval = None
    image_to_gps_verification = None
    image_to_image_translation = None
    image_to_image_translation_on_cityscapes_to_foggy_cityscapes = None
    image_to_text_retrieval = None
    image_to_video_person_re_identification = None
    image_variation = None
    image_document_clustering = None
    imbalanced_classification = None
    imitation_learning = None
    immune_repertoire_classification = None
    implicit_discourse_relation_classification = None
    implicit_relations = None
    imputation = None
    incandpsync = None
    incomplete_multi_view_clustering = None
    incongruity_detection = None
    incremental_learning = None
    indoor_localization = None
    indoor_monocular_depth_estimation = None
    indoor_scene_reconstruction = None
    indoor_scene_synthesis = None
    indoor_scene_understanding = None
    inductive_bias = None
    inductive_knowledge_graph_completion = None
    inductive_link_prediction = None
    inductive_logic_programming = None
    inductive_relation_prediction = None
    industrial_robots = None
    infant_brain_mri_segmentation = None
    inference_attack = None
    inference_optimization = None
    influence_approximation = None
    information_extraction = None
    information_plane = None
    information_retrieval = None
    information_seeking = None
    information_theory = None
    informativeness = None
    infrared_and_visible_image_fusion = None
    initial_structure_to_relaxed_energy_is2re_ = None
    injury_prediction = None
    instance_search = None
    instance_segmentation = None
    instance_shadow_detection = None
    instruction_following = None
    instrument_playing_technique_detection = None
    instrument_recognition = None
    intelligent_communication = None
    intent_classification = None
    intent_classification_and_slot_filling = None
    intent_detection = None
    intent_discovery = None
    intent_recognition = None
    interactive_evaluation_of_dialog = None
    interactive_segmentation = None
    interactive_video_object_segmentation = None
    interest_point_detection = None
    interestingness_detection = None
    interpretability_techniques_for_deep_learning = None
    interpretable_machine_learning = None
    interspecies_facial_keypoint_transfer = None
    intrinsic_image_decomposition = None
    intrusion_detection = None
    inverse_tone_mapping = None
    iris_classification = None
    iris_recognition = None
    iris_segmentation = None
    irregular_text_recognition = None
    irregular_time_series = None
    isaac_gym_preview = None
    ischemic_stroke_lesion_segmentation = None
    jelviraol = None
    jet_tagging = None
    job_classification = None
    job_shop_scheduling = None
    joint_entity_and_relation_extraction = None
    joint_multilingual_sentence_representations = None
    joint_ner_and_classification = None
    joint_vertebrae_identification_and_localization_in_spinal_ct_images = None
    jpeg_artifact_correction = None
    jpeg_artifact_removal = None
    jpeg_compression_artifact_reduction = None
    jpeg_decompression = None
    junction_detection = None
    jurisprudence = None
    k_complex_detection = None
    kb_to_language_generation = None
    kennetheagem = None
    key_detection = None
    key_information_extraction = None
    key_point_matching = None
    keyphrase_extraction = None
    keyphrase_generation = None
    keypoint_detection = None
    keypoint_estimation = None
    keyword_extraction = None
    keyword_spotting = None
    keyword_spotting_on_google_speech_commands = None
    keywords_to_sentences = None
    kg_to_text_generation = None
    kidney_function = None
    kinematic_based_workflow_recognition = None
    kiss_detection = None
    klondike = None
    knee_osteoarthritis_prediction = None
    knowledge_base_completion = None
    knowledge_base_population = None
    knowledge_base_question_answering = None
    knowledge_distillation = None
    knowledge_graph_completion = None
    knowledge_graph_embedding = None
    knowledge_graph_embeddings = None
    knowledge_graphs = None
    knowledge_probing = None
    knowledge_tracing = None
    known_unknowns = None
    l2_regularization = None
    label_shift_of_blended_target_domain_adaptation = None
    lake_detection = None
    lake_ice_detection = None
    lake_ice_monitoring = None
    lama = None
    lambada = None
    landmark_recognition = None
    landmark_tracking = None
    landmine = None
    lane_detection = None
    language_acquisition = None
    language_identification = None
    language_modelling = LanguageModellingModels
    language_understanding = None
    language_based_temporal_localization = None
    large_vocabulary_continuous_speech_recognition = None
    large_scale_person_re_identification = None
    latent_aspect_detection = None
    latent_variable_models = None
    layout_design = None
    layout_to_image_generation = None
    leadership_inference = None
    league_of_legends = None
    learning_network_representations = None
    learning_representation_of_multi_view_data = None
    learning_representation_on_graph = None
    learning_semantic_representations = None
    learning_theory = None
    learning_to_execute = None
    learning_to_paint = None
    learning_with_coarse_labels = None
    learning_with_noisy_labels = None
    learning_word_embeddings = None
    learning_to_rank = None
    left_atrium_segmentation = None
    left_ventricle_segmentation = None
    legal_document_translation = None
    legged_robots = None
    lemmatization = None
    length_of_stay_prediction = None
    lesion_classification = None
    lesion_detection = None
    lesion_segmentation = None
    lexical_analysis = None
    lexical_complexity_prediction = None
    lexical_entailment = None
    lexical_normalization = None
    lexical_simplification = None
    license_plate_detection = None
    license_plate_recognition = None
    lidar_semantic_segmentation = None
    lightfield = None
    lighting_estimation = None
    line_art_colorization = None
    line_detection = None
    line_segment_detection = None
    linear_probe_classification = None
    linguistic_acceptability = None
    link_prediction = None
    link_prediction_on_dh_kgs = None
    link_property_prediction = None
    link_quality_estimation = None
    link_sign_prediction = None
    lip_password_classification = None
    lip_reading = None
    lip_to_speech_synthesis = None
    lipreading = None
    listops = None
    literature_mining = None
    liver_segmentation = None
    load_forecasting = None
    local_community_detection = None
    local_distortion = None
    local_feature_matching = None
    localization_in_video_forgery = None
    log_parsing = None
    logic_grid_puzzle = None
    logical_fallacies = None
    logical_fallacy_detection = None
    logical_reasoning = None
    logical_reasoning_reading_comprehension = None
    logo_recognition = None
    long_range_modeling = None
    long_tail_learning = None
    long_tailed_learning = None
    loop_closure_detection = None
    lossy_compression_artifact_reduction = None
    low_resource_speech_emotion_recognition = None
    low_resource_named_entity_recognition = None
    low_dose_x_ray_ct_reconstruction = None
    low_light_image_enhancement = None
    low_light_pedestrian_detection = None
    low_rank_compression = None
    low_rank_matrix_completion = None
    low_resource_neural_machine_translation = None
    lung_cancer_diagnosis = None
    lung_disease_classification = None
    lung_nodule_classification = None
    lung_nodule_detection = None
    lung_nodule_segmentation = None
    lwr_classification = None
    machine_learning = None
    machine_reading_comprehension = None
    machine_translation = None
    magnetic_resonance_fingerprinting = None
    majority_voting_classifier = None
    malaria_risk_exposure_prediction = None
    malicious_detection = None
    malware_analysis = None
    malware_classification = None
    malware_clustering = None
    malware_detection = None
    management = None
    manner_of_articulation_detection = None
    manufacturing_quality_control = None
    mapping_of_lung_nodules_in_low_dose_ct_images = None
    marine_robot_navigation = None
    markerless_motion_capture = None
    marketing = None
    markov_chain_monte_carlo_mcmc_ = None
    masked_face_recognition = None
    masked_language_modeling = None
    mass_segmentation_from_mammograms = None
    matching_disparate_images = None
    material_classification = None
    material_recognition = None
    materials_imaging = None
    materials_screening = None
    math_word_problem_solving = None
    mathematical_induction = None
    mathematical_proofs = None
    mathematical_question_answering = None
    mathematical_reasoning = None
    matrix_completion = None
    matrix_factorization_decomposition = None
    matting = None
    max_shot_cross_lingual_image_to_text_retrieval = None
    max_shot_cross_lingual_text_to_image_retrieval = None
    max_shot_cross_lingual_visual_natural_language_inference = None
    max_shot_cross_lingual_visual_question_answering = None
    max_shot_cross_lingual_visual_reasoning = None
    maximum_separation = None
    md17_dataset = None
    medical_code_prediction = None
    medical_concept_normalization = None
    medical_diagnosis = None
    medical_image_classification = None
    medical_image_denoising = None
    medical_image_detection = None
    medical_image_generation = None
    medical_image_registration = None
    medical_image_retrieval = None
    medical_image_segmentation = None
    medical_named_entity_recognition = None
    medical_object_detection = None
    medical_procedure = None
    medical_relation_extraction = None
    medical_report_generation = None
    medical_super_resolution = None
    medical_visual_question_answering = None
    meeting_summarization = None
    melanoma_diagnosis = None
    melody_extraction = None
    membership_inference_attack = None
    meme_captioning = None
    meme_classification = None
    memex_question_answering = None
    memorization = None
    mental_arithmetic_task = None
    mental_stress_detection = None
    mental_workload_estimation = None
    mesoscale_and_nanoscale_physics = None
    meta_reinforcement_learning = None
    meta_learning = None
    metaheuristic_optimization = None
    metal_artifact_reduction = None
    metamerism = None
    meter_reading = None
    method_name_prediction = None
    metric_learning = None
    metric_type_identification = None
    micro_doppler_signatures_discrimination = None
    micro_expression_recognition = None
    micro_expression_spotting = None
    microarray_classification = None
    minecraft = None
    miscellaneous = None
    misconceptions = None
    misinformation = None
    missing_elements = None
    missing_markers_reconstruction = None
    mistake_detection = None
    mitosis_detection = None
    mixed_reality = None
    mnli_m = None
    mobile_periocular_recognition = None
    mobile_security = None
    model_compression = None
    model_description_based_search = None
    model_discovery = None
    model_distillation = None
    model_extraction = None
    model_optimization = None
    model_poisoning = None
    model_posioning = None
    model_selection = None
    model_based_reinforcement_learning = None
    modeling_local_geometric_structure = None
    molecular_docking = None
    molecular_graph_generation = None
    molecular_property_prediction = None
    molecular_system_prediction = None
    molecule_captioning = None
    molecule_interpretation = None
    moment_queries = None
    moment_retrieval = None
    monocular_3d_human_pose_estimation = None
    monocular_3d_object_detection = None
    monocular_3d_object_localization = None
    monocular_cross_view_road_scene_parsing_road_ = None
    monocular_cross_view_road_scene_parsing_vehicle_ = None
    monocular_depth_estimation = None
    monocular_reconstruction = None
    monocular_visual_odometry = None
    monte_carlo = None
    montezuma_s_revenge = None
    morpheme_segmentaiton = None
    morphological_analysis = None
    morphological_disambiguation = None
    morphological_inflection = None
    morphological_tagging = None
    morphology_classification = None
    mortality_prediction = None
    motion_capture = None
    motion_compensation = None
    motion_correction_in_multishot_mri = None
    motion_detection = None
    motion_detection_in_non_stationary_scenes = None
    motion_disentanglement = None
    motion_estimation = None
    motion_forecasting = None
    motion_interpolation = None
    motion_planning = None
    motion_prediction = None
    motion_retargeting = None
    motion_segmentation = None
    motion_style_transfer = None
    motion_synthesis = None
    movie_genre_recommendation_system = None
    movie_recommendation = None
    moving_object_detection = None
    moving_point_cloud_processing = None
    mri_reconstruction = None
    mri_segmentation = None
    ms_ssim = None
    mujoco_games = None
    multi_class_text_classification = None
    multi_agent_integration = None
    multi_agent_path_finding = None
    multi_agent_reinforcement_learning = None
    multi_armed_bandits = None
    multi_choice_mrc = None
    multi_class_classification = None
    multi_document_summarization = None
    multi_domain_dialogue_state_tracking = None
    multi_domain_recommender_systems = None
    multi_domain_sentiment_classification = None
    multi_exposure_image_fusion = None
    multi_focus_microscopical_images_fusion = None
    multi_frame_super_resolution = None
    multi_future_trajectory_prediction = None
    multi_goal_reinforcement_learning = None
    multi_grained_named_entity_recognition = None
    multi_hop_question_answering = None
    multi_hop_reading_comprehension = None
    multi_human_parsing = None
    multi_hypotheses_3d_human_pose_estimation = None
    multi_instance_retrieval = None
    multi_label_classification = None
    multi_label_classification_of_biomedical_texts = None
    multi_label_image_classification = None
    multi_label_image_retrieval = None
    multi_label_learning = None
    multi_label_text_classification = None
    multi_label_zero_shot_learning = None
    multi_labeled_relation_extraction = None
    multi_modal_classification = None
    multi_modal_dialogue_generation = None
    multi_modal_document_classification = None
    multi_modal_entity_alignment = None
    multi_modal_image_segmentation = None
    multi_modal_knowledge_graph = None
    multi_modal_named_entity_recognition = None
    multi_modal_person_identification = None
    multi_object_discovery = None
    multi_object_tracking = None
    multi_object_tracking_and_segmentation = None
    multi_objective_reinforcement_learning = None
    multi_oriented_scene_text_detection = None
    multi_person_pose_estimation = None
    multi_person_pose_estimation_and_tracking = None
    multi_source_unsupervised_domain_adaptation = None
    multi_speaker_source_separation = None
    multi_step_retrosynthesis = None
    multi_subject_fmri_data_alignment = None
    multi_target_domain_adaptation = None
    multi_target_regression = None
    multi_task_language_understanding = None
    multi_task_learning = None
    multi_tissue_nucleus_segmentation = None
    multi_view_3d_shape_retrieval = None
    multi_view_learning = None
    multi_view_subspace_clustering = None
    multi_word_expression_embedding = None
    multi_word_expression_sememe_prediction = None
    multilabel_text_classification = None
    multilingual_image_text_classification = None
    multilingual_machine_comprehension_in_english_hindi = None
    multilingual_named_entity_recognition = None
    multilingual_nlp = None
    multilingual_text_classification = None
    multilingual_word_embeddings = None
    multimodal_abstractive_text_summarization = None
    multimodal_activity_recognition = None
    multimodal_deep_learning = None
    multimodal_emotion_recognition = None
    multimodal_gif_dialog = None
    multimodal_intent_recognition = None
    multimodal_lexical_translation = None
    multimodal_machine_translation = None
    multimodal_sentiment_analysis = None
    multimodal_sleep_stage_detection = None
    multimodal_text_and_image_classification = None
    multimodal_text_prediction = None
    multimodal_unsupervised_image_to_image_translation = None
    multiobjective_optimization = None
    multiple_action_detection = None
    multiple_affordance_detection = None
    multiple_choice_qa = None
    multiple_choice_question_answering_mcqa_ = None
    multiple_instance_learning = None
    multiple_object_forecasting = None
    multiple_object_track_and_segmentation = None
    multiple_object_tracking = None
    multiple_people_tracking = None
    multiple_sequence_alignment = None
    multiple_choice = None
    multispectral_object_detection = None
    multivariate_time_series_forecasting = None
    multivariate_time_series_imputation = None
    multiview_clustering = None
    multiview_contextual_commonsense_inference = None
    multiview_detection = None
    multiview_gait_recognition = None
    multiview_learning = None
    muscular_movement_recognition = None
    music_auto_tagging = None
    music_classification = None
    music_emotion_recognition = None
    music_generation = None
    music_genre_classification = None
    music_genre_recognition = None
    music_genre_transfer = None
    music_information_retrieval = None
    music_modeling = None
    music_recommendation = None
    music_source_separation = None
    music_style_transfer = None
    music_tagging = None
    music_texture_transfer = None
    music_transcription = None
    mutual_gaze = None
    mutual_information_estimation = None
    myocardial_infarction_detection = None
    myocardium_segmentation = None
    named_entity_recognition = None
    named_entity_recognition_ner_ = None
    named_entity_recognition_in_vietnamese = None
    native_language_identification = None
    natural_language_inference = None
    natural_language_inference_few_shot_ = None
    natural_language_inference_one_shot_ = None
    natural_language_inference_zero_shot_ = None
    natural_language_moment_retrieval = None
    natural_language_processing = None
    natural_language_queries = None
    natural_language_transduction = None
    natural_language_understanding = None
    natural_language_visual_grounding = None
    natural_questions = None
    nature_inspired_optimization_algorithm = None
    navigate = None
    negation_detection = None
    negation_scope_resolution = None
    ner = None
    nested_mention_recognition = None
    nested_named_entity_recognition = None
    nethack = None
    nethack_score = None
    network_community_partition = None
    network_congestion_control = None
    network_embedding = None
    network_interpretation = None
    network_intrusion_detection = None
    network_pruning = None
    neural_architecture_search = None
    neural_network_compression = None
    neural_network_security = None
    neural_network_simulation = None
    neural_radiance_caching = None
    neural_rendering = None
    neural_stylization = None
    new_product_sales_forecasting = None
    news_annotation = None
    news_classification = None
    news_generation = None
    news_recommendation = None
    news_retrieval = None
    news_summarization = None
    next_basket_recommendation = None
    nmt = None
    no_real_data_binarization = None
    no_reference_image_quality_assessment = None
    node_classification = None
    node_classification_on_non_homophilic_heterophilic_graphs = None
    node_clustering = None
    node_property_prediction = None
    noise_estimation = None
    noise_level_prediction = None
    noisy_speech_recognition = None
    non_intrusive_load_monitoring = None
    non_linear_elasticity = None
    nonhomogeneous_image_dehazing = None
    nonparametric_clustering = None
    normalising_flows = None
    novel_class_discovery = None
    novel_concepts = None
    novel_view_synthesis = None
    nuclear_segmentation = None
    nuclei_classification = None
    numerical_integration = None
    nutrition = None
    object_categorization = None
    object_classification = None
    object_counting = None
    object_detection = None
    object_detection_in_aerial_images = None
    object_detection_in_high_resolution = None
    object_detection_in_indoor_scenes = None
    object_discovery = None
    object_discovery_in_videos = None
    object_localization = None
    object_proposal_generation = None
    object_recognition = None
    object_reconstruction = None
    object_segmentation = None
    object_skeleton_detection = None
    object_slam = None
    object_state_change_classification = None
    object_tracking = None
    observation_completion = None
    occluded_3d_object_symmetry_detection = None
    occluded_face_detection = None
    occlusion_estimation = None
    occlusion_handling = None
    oceanic_eddy_classification = None
    odd_one_out = None
    off_policy_evaluation = None
    offline_handwritten_chinese_character_recognition = None
    offline_rl = None
    omniglot = None
    omniverse_isaac_gym = None
    on_the_fly_sketch_based_image_retrieval = None
    one_shot_image_to_image_translation = None
    one_class_classification = None
    one_class_classifier = None
    one_shot_3d_action_recognition = None
    one_shot_face_stylization = None
    one_shot_instance_segmentation = None
    one_shot_learning = None
    one_shot_model_fusion = None
    one_shot_object_detection = None
    one_shot_segmentation = None
    one_shot_unsupervised_domain_adaptation = None
    one_shot_visual_object_segmentation = None
    one_stage_anchor_free_oriented_object_detection = None
    online_action_detection = None
    online_clustering = None
    online_community_detection = None
    online_learning = None
    online_multi_object_tracking = None
    online_nonnegative_cp_decomposition = None
    online_ranker_evaluation = None
    online_review_rating = None
    ood_detection = None
    opd_single_view_3d_openable_part_detection = None
    open_information_extraction = None
    open_intent_detection = None
    open_intent_discovery = None
    open_knowledge_graph_canonicalization = None
    open_set_action_recognition = None
    open_set_learning = None
    open_vocabulary_attribute_detection = None
    open_vocabulary_object_detection = None
    open_vocabulary_semantic_segmentation = None
    open_world_object_detection = None
    open_domain_dialog = None
    open_domain_question_answering = None
    open_world_semi_supervised_learning = None
    openai_gym = None
    operator_learning = None
    opinion_mining = None
    optic_cup_segmentation = None
    optic_disc_segmentation = None
    optical_character_recognition = None
    optical_character_recognition_ocr_ = None
    optical_flow_estimation = None
    optimal_motion_planning = None
    oral_cancer_classification = None
    organ_detection = None
    oriented_object_detection = None
    out_of_distribution_ood_detection = None
    out_of_distribution_detection = None
    out_of_distribution_generalization = None
    outcome_prediction_in_multimodal_mri = None
    outdoor_light_source_estimation = None
    outdoor_positioning = None
    outlier_detection = None
    outlier_ensembles = None
    overall_test = None
    overlapped_10_1 = None
    overlapped_100_10 = None
    overlapped_100_5 = None
    overlapped_100_50 = None
    overlapped_15_1 = None
    overlapped_15_5 = None
    overlapped_19_1 = None
    overlapped_25_25 = None
    overlapped_5_3 = None
    overlapped_50_50 = None
    pac_learning = None
    page_stream_segmentation = None
    pain_intensity_regression = None
    pancreas_segmentation = None
    panoptic_scene_graph_generation = None
    panoptic_segmentation = None
    pansharpening = None
    paper_generation = None
    parallel_corpus_mining = None
    parameter_prediction = None
    paraphrase_generation = None
    paraphrase_identification = None
    parking_space_occupancy = None
    part_aware_panoptic_segmentation = None
    part_level_panoptic_segmentation = None
    part_of_speech_tagging = None
    partial_domain_adaptation = None
    partial_label_learning = None
    partial_point_cloud_matching = None
    partially_relevant_video_retrieval = None
    participant_intervention_comparison_outcome_extraction = None
    pass_classification = None
    passage_ranking = None
    passage_re_ranking = None
    passage_retrieval = None
    patch_matching = None
    pathfinder = None
    pathfinder_x = None
    patient_phenotyping = None
    pde_surrogate_modeling = None
    pedestrian_attribute_recognition = None
    pedestrian_density_estimation = None
    pedestrian_detection = None
    pedestrian_trajectory_prediction = None
    perceptual_distance = None
    permuted_mnist = None
    perpetual_view_generation = None
    persian_sentiment_analysis = None
    person_identification = None
    person_re_identification = None
    person_recognition = None
    person_reposing = None
    person_retrieval = None
    person_search = None
    person_centric_visual_grounding = None
    persona_dialogue_in_story = None
    personality_recognition_in_conversation = None
    personality_trait_recognition = None
    personalized_federated_learning = None
    persuasion_strategies = None
    phenotype_classification = None
    philosophy = None
    phone_level_pronunciation_scoring = None
    photo_retouching = None
    photo_to_caricature_translation = None
    photometric_redshift_estimation = None
    photoplethysmography_ppg_ = None
    photoplethysmography_ppg_heart_rate_estimation = None
    phrase_grounding = None
    phrase_ranking = None
    phrase_tagging = None
    physical_attribute_prediction = None
    physical_commonsense_reasoning = None
    physical_intuition = None
    physical_simulations = None
    physical_video_anomaly_detection = None
    physics_informed_machine_learning = None
    physiological_computing = None
    piano_music_modeling = None
    pico = None
    pill_classification = None
    pill_classification_both_sides_ = None
    pitch_control = None
    placenta_segmentation = None
    plan2scene = None
    platform = None
    pneumonia_detection = None
    pneumothorax_detection = None
    point_cloud_classification = None
    point_cloud_classification_dataset = None
    point_cloud_completion = None
    point_cloud_generation = None
    point_cloud_pre_training = None
    point_cloud_quality_assessment = None
    point_cloud_reconstruction = None
    point_cloud_registration = None
    point_cloud_retrieval = None
    point_cloud_segmentation = None
    point_cloud_super_resolution = None
    point_of_interests = None
    point_processes = None
    point_set_upsampling = None
    point_interactive_image_colorization = None
    point_supervised_instance_segmentation = None
    pointgoal_navigation = None
    policy_gradient_methods = None
    polyp_segmentation = None
    polyphone_disambiguation = None
    population_assignment = None
    population_mapping = None
    pornography_detection = None
    pornography_detection_in_videos = None
    portfolio_optimization = None
    portrait_segmentation = None
    pos = None
    pose_estimation = None
    pose_prediction = None
    pose_retrieval = None
    pose_tracking = None
    pose_transfer = None
    pose_guided_image_generation = None
    pre_election_ratings_estimation = None
    predicate_classification = None
    predicate_detection = None
    predict_future_video_frames = None
    predicting_patient_outcomes = None
    prediction_intervals = None
    prediction_of_cancer_cell_line_sensitivity = None
    prediction_of_occupancy_grid_maps = None
    predictive_process_monitoring = None
    prepositional_phrase_attachment = None
    pretrained_language_models = None
    pretrained_multilingual_language_models = None
    privacy_preserving = None
    privacy_preserving_deep_learning = None
    probabilistic_deep_learning = None
    probabilistic_programming = None
    probabilistic_time_series_forecasting = None
    probing_language_models = None
    problem_decomposition = None
    problem_solving_deliberation = None
    procedural_text_understanding = None
    procedure_learning = None
    product_categorization = None
    product_recommendation = None
    program_induction = None
    program_repair = None
    program_synthesis = None
    prompt_engineering = None
    prompt_driven_zero_shot_domain_adaptation = None
    propaganda_detection = None
    propaganda_span_identification = None
    propaganda_technique_identification = None
    prosody_prediction = None
    prostate_zones_segmentation = None
    protein_folding = None
    protein_function_prediction = None
    protein_interface_prediction = None
    protein_secondary_structure_prediction = None
    protein_structure_prediction = None
    prototype_selection = None
    provable_adversarial_defense = None
    pseudo_label = None
    pso_convnets_dynamics_1 = None
    pso_convnets_dynamics_2 = None
    pulmonary_embolism_detection = None
    pulmonary_nodules_classification = None
    pulsar_prediction = None
    punctuation_restoration = None
    q_learning = None
    qnli = None
    qqp = None
    qrs_complex_detection = None
    quantization = None
    quantum_approximate_optimization = None
    quantum_chemistry_regression = None
    quantum_machine_learning = None
    quantum_state_tomography = None
    query_wellformedness = None
    query_based_extractive_summarization = None
    question_answering = None
    question_generation = None
    question_rewriting = None
    question_similarity = None
    question_answer_categorization = None
    question_answer_generation = None
    radar_object_detection = None
    radio_interferometry = None
    rain_removal = None
    raw_waveform = None
    re_ranking = None
    reader_aware_summarization = None
    reading_comprehension = None
    reading_comprehension_few_shot_ = None
    reading_comprehension_one_shot_ = None
    reading_comprehension_zero_shot_ = None
    readmission_prediction = None
    real_time_3d_semantic_segmentation = None
    real_time_instance_segmentation = None
    real_time_multi_object_tracking = None
    real_time_object_detection = None
    real_time_semantic_segmentation = None
    real_time_strategy_games = None
    real_time_visual_tracking = None
    real_world_adversarial_attack = None
    reasoning_chain_explanations = None
    recipe_generation = None
    recognizing_and_localizing_human_actions = None
    recognizing_emotion_cause_in_conversations = None
    recognizing_seven_different_dastgahs_of_iranian_classical_music = None
    recommendation_systems = None
    recommendation_systems_item_cold_start_ = None
    rectification = None
    reference_based_super_resolution = None
    reference_based_video_super_resolution = None
    referring_expression = None
    referring_expression_comprehension = None
    referring_expression_generation = None
    referring_expression_segmentation = None
    referring_image_matting = None
    referring_image_matting_expression_based_ = None
    referring_image_matting_keyword_based_ = None
    referring_image_matting_refmatte_rw100_ = None
    referring_video_object_segmentation = None
    reflection_removal = None
    region_proposal = None
    registration_of_sparse_clinical_images = None
    regression = None
    reinforcement_learning = None
    reinforcement_learning_rl_ = None
    relation_classification = None
    relation_explanation = None
    relation_extraction = None
    relation_linking = None
    relation_mention_extraction = None
    relational_captioning = None
    relational_reasoning = None
    relationship_extraction_distant_supervised_ = None
    reliable_intelligence_identification = None
    remaining_useful_lifetime_estimation = None
    remote_sensing_image_classification = None
    replay_grounding = None
    representation_learning = None
    respiratory_failure = None
    respiratory_motion_forecasting = None
    respiratory_rate_estimation = None
    response_generation = None
    resynthesis = None
    retinal_oct_disease_classification = None
    retinal_oct_layer_segmentation = None
    retinal_vessel_segmentation = None
    retrieval = None
    reverse_dictionary = None
    reverse_style_transfer = None
    review_generation = None
    rf_based_pose_estimation = None
    rgb_salient_object_detection = None
    rgb_3d_anomaly_detection_and_segmentation = None
    rgb_depth_anomaly_detection_and_segmentation = None
    rgb_d_reconstruction = None
    rgb_d_salient_object_detection = None
    rgb_t_tracking = None
    rice_grain_disease_detection = None
    riddle_sense = None
    riemannian_optimization = None
    right_ventricle_segmentation = None
    road_damage_detection = None
    road_scene_understanding = None
    robot_manipulation = None
    robot_navigation = None
    robot_task_planning = None
    robotic_grasping = None
    robotics = None
    robust_classification = None
    robust_design = None
    robust_face_alignment = None
    robust_face_recognition = None
    robust_object_detection = None
    robust_speech_recognition = None
    roi_based_image_generation = None
    role_embedding = None
    role_filler_entity_extraction = None
    room_layout_estimation = None
    rotated_mnist = None
    rte = None
    rubik_s_cube = None
    rules_of_thumb_generation = None
    rumour_detection = None
    safe_exploration = None
    safe_reinforcement_learning = None
    saliency_detection = None
    saliency_prediction = None
    salient_object_detection = None
    salt_and_pepper_noise_removal = None
    sar_image_despeckling = None
    sarcasm_detection = None
    satellite_image_classification = None
    satellite_image_super_resolution = None
    satire_detection = None
    scale_generalisation = None
    scanpath_prediction = None
    scene_change_detection = None
    scene_classification = None
    scene_classification_unified_classes_ = None
    scene_flow_estimation = None
    scene_generation = None
    scene_graph_classification = None
    scene_graph_detection = None
    scene_graph_generation = None
    scene_labeling = None
    scene_parsing = None
    scene_recognition = None
    scene_segmentation = None
    scene_text = None
    scene_text_detection = None
    scene_text_editing = None
    scene_text_recognition = None
    scene_understanding = None
    scene_aware_dialogue = None
    scheduling = None
    science_technology = None
    science_question_answering = None
    scientific_document_summarization = None
    scientific_results_extraction = None
    second_order_methods = None
    segmentation_based_workflow_recognition = None
    segmentation_of_remote_sensing_imagery = None
    seismic_detection = None
    seismic_imaging = None
    seismic_interpretation = None
    seismic_inversion = None
    seizure_detection = None
    seizure_prediction = None
    selection_bias = None
    self_driving_cars = None
    self_knowledge_distillation = None
    self_learning = None
    self_organized_clustering = None
    self_supervised_action_recognition = None
    self_supervised_anomaly_detection = None
    self_supervised_audio_classification = None
    self_supervised_image_classification = None
    self_supervised_learning = None
    self_supervised_person_re_identification = None
    self_supervised_sound_classification = None
    self_supervised_video_retrieval = None
    semantic_composition = None
    semantic_contour_prediction = None
    semantic_correspondence = None
    semantic_dependency_parsing = None
    semantic_entity_labeling = None
    semantic_frame_parsing = None
    semantic_image_matting = None
    semantic_image_similarity = None
    semantic_image_text_similarity = None
    semantic_object_interaction_classification = None
    semantic_parsing = None
    semantic_part_detection = None
    semantic_retrieval = None
    semantic_role_labeling = None
    semantic_role_labeling_predicted_predicates_ = None
    semantic_segmentation = None
    semantic_segmentation_of_orthoimagery = None
    semantic_segmentation_on_scannet = None
    semantic_similarity = None
    semantic_slam = None
    semantic_text_matching = None
    semantic_textual_similarity = None
    semanticity_prediction = None
    semi_supervised_2d_and_3d_landmark_labeling = None
    semi_supervised_action_detection = None
    semi_supervised_anomaly_detection = None
    semi_supervised_change_detection = None
    semi_supervised_fashion_compatibility = None
    semi_supervised_human_pose_estimation = None
    semi_supervised_image_classification = None
    semi_supervised_instance_segmentation = None
    semi_supervised_medical_image_classification = None
    semi_supervised_medical_image_segmentation = None
    semi_supervised_object_detection = None
    semi_supervised_person_bounding_box_detection = None
    semi_supervised_person_instance_segmentation = None
    semi_supervised_person_re_identification = None
    semi_supervised_semantic_segmentation = None
    semi_supervised_text_classification = None
    semi_supervised_time_series_classification = None
    semi_supervised_video_classification = None
    semi_supervised_video_object_segmentation = None
    sensor_fusion = None
    sensor_modeling = None
    sentence_ambiguity = None
    sentence_classification = None
    sentence_completion = None
    sentence_compression = None
    sentence_embedding = None
    sentence_embeddings = None
    sentence_embeddings_for_biomedical_texts = None
    sentence_expansion = None
    sentence_fusion = None
    sentence_ordering = None
    sentence_pair_modeling = None
    sentence_rewriting = None
    sentence_segmentation = None
    sentence_similarity = None
    sentence_summarization = None
    sentence_level_cat1 = None
    sentence_level_cat2 = None
    sentence_level_cat3 = None
    sentiment_analysis = None
    sentiment_classification = None
    sentiment_dependency_learning = None
    sentinel_1_sar_processing = None
    sequence_to_sequence_language_modeling = None
    sequence_to_sequence_speech_recognition = None
    sequential_bayesian_inference = None
    sequential_correlation_estimation = None
    sequential_diagnosis = None
    sequential_image_classification = None
    sequential_pattern_mining = None
    sequential_place_learning = None
    sequential_place_recognition = None
    sequential_recommendation = None
    sequential_sentence_segmentation = None
    session_based_recommendations = None
    set_matching = None
    set_to_graph_prediction = None
    severity_prediction = None
    shadow_confidence_maps_in_ultrasound_imaging = None
    shadow_detection = None
    shadow_detection_and_removal = None
    shadow_removal = None
    shape_from_texture = None
    shape_representation_of_3d_point_clouds = None
    shooter_localization = None
    short_text_clustering = None
    short_observation_new_product_sales_forecasting = None
    short_text_conversation = None
    side_channel_analysis = None
    sign_language_production = None
    sign_language_recognition = None
    sign_language_translation = None
    simultaneous_localization_and_mapping = None
    simultaneous_speech_to_text_translation = None
    singing_voice_synthesis = None
    single_image_dehazing = None
    single_image_deraining = None
    single_image_desnowing = None
    single_image_haze_removal = None
    single_image_super_resolution = None
    single_image_blind_deblurring = None
    single_image_portrait_relighting = None
    single_image_based_hdr_reconstruction = None
    single_image_generation = None
    single_object_discovery = None
    single_step_retrosynthesis = None
    single_view_3d_reconstruction = None
    skeleton_based_action_recognition = None
    sketch_recognition = None
    sketch_based_image_retrieval = None
    sketch_to_image_translation = None
    skill_generalization = None
    skill_mastery = None
    skills_assessment = None
    skills_evaluation = None
    skin_cancer_classification = None
    skin_cancer_segmentation = None
    skin_lesion_classification = None
    skin_lesion_identification = None
    skin_lesion_segmentation = None
    skull_stripping = None
    sleep_apnea_detection = None
    sleep_arousal_detection = None
    sleep_micro_event_detection = None
    sleep_quality = None
    sleep_quality_prediction = None
    sleep_spindles_detection = None
    sleep_stage_detection = None
    sleep_staging = None
    slot_filling = None
    smac = None
    smac_ = None
    small_data_image_classification = None
    small_object_detection = None
    small_footprint_keyword_spotting = None
    smart_grid_prediction = None
    smile_recognition = None
    snarks = None
    snes_games = None
    social_cue_forecasting = None
    social_navigation = None
    sociology = None
    software_engineering = None
    soil_moisture_estimation = None
    solar_flare_prediction = None
    solitaire = None
    sonnet_generation = None
    sound_event_detection = None
    sound_event_localization_and_detection = None
    source_code_summarization = None
    source_free_domain_adaptation = None
    space_fortress = None
    space_time_video_super_resolution = None
    spacecraft_pose_estimation = None
    spam_detection = None
    span_extraction_mrc = None
    sparse_learning = None
    sparse_learning_and_binarization = None
    sparse_representation_based_classification = None
    spatial_interpolation = None
    spatial_relation_recognition = None
    spatial_token_mixer = None
    spatio_temporal_action_localization = None
    spatio_temporal_forecasting = None
    spatio_temporal_video_grounding = None
    speaker_diarization = None
    speaker_identification = None
    speaker_profiling = None
    speaker_recognition = None
    speaker_separation = None
    speaker_verification = None
    speaker_specific_lip_to_speech_synthesis = None
    specificity = None
    spectral_estimation_from_a_single_rgb_image = None
    spectral_graph_clustering = None
    spectral_reconstruction = None
    spectral_super_resolution = None
    spectrum_cartography = None
    speculation_detection = None
    speculation_scope_resolution = None
    speech_denoising = None
    speech_dereverberation = None
    speech_editing = None
    speech_emotion_recognition = None
    speech_emotion_recognition_5_fold = None
    speech_enhancement = None
    speech_extraction = None
    speech_quality = None
    speech_recognition = None
    speech_separation = None
    speech_synthesis = None
    speech_synthesis_assamese = None
    speech_synthesis_bengali = None
    speech_synthesis_bodo = None
    speech_synthesis_gujarati = None
    speech_synthesis_hindi = None
    speech_synthesis_kannada = None
    speech_synthesis_malayalam = None
    speech_synthesis_manipuri = None
    speech_synthesis_marathi = None
    speech_synthesis_odia = None
    speech_synthesis_rajasthani = None
    speech_synthesis_tamil = None
    speech_synthesis_telugu = None
    speech_to_gesture_translation = None
    speech_to_speech_translation = None
    speech_to_text_translation = None
    spelling_correction = None
    sperm_morphology_classification = None
    spike_sorting = None
    spinal_cord_gray_matter_segmentation = None
    spindle_detection = None
    splenomegaly_segmentation_on_multi_modal_mri = None
    split_and_rephrase = None
    split_cifar_10 = None
    split_mnist = None
    spo2_estimation = None
    spoken_command_recognition = None
    spoken_dialogue_systems = None
    spoken_language_identification = None
    spoken_language_understanding = None
    sports_analytics = None
    sports_understanding = None
    sql_chatbots = None
    sql_parsing = None
    sql_to_text = None
    ssim = None
    sst_2 = None
    sstod = None
    stance_classification = None
    stance_detection = None
    starcraft = None
    starcraft_ii = None
    statistical_independence_testing = None
    steering_control = None
    steganalysis = None
    steganographics = None
    steiner_tree_problem = None
    stereo_depth_estimation = None
    stereo_disparity_estimation = None
    stereo_image_super_resolution = None
    stereo_matching = None
    stereo_matching_hand = None
    stereo_lidar_fusion = None
    stereotypical_bias_analysis = None
    stochastic_block_model = None
    stochastic_optimization = None
    stock_market_prediction = None
    stock_prediction = None
    stock_price_prediction = None
    stock_trend_prediction = None
    story_completion = None
    story_continuation = None
    story_generation = None
    story_visualization = None
    strategyqa = None
    streaming_target_sound_extraction = None
    street_scene_parsing = None
    stroke_classification = None
    structual_feature_correlation = None
    structural_node_embedding = None
    structure_from_motion = None
    structured_prediction = None
    sts = None
    style_change_detection = None
    style_generalization = None
    subdomain_adaptation = None
    subject_transfer = None
    subjectivity_analysis = None
    summarization = None
    superpixel_image_classification = None
    superpixels = None
    supervised_anomaly_detection = None
    supervised_dimensionality_reduction = None
    supervised_video_summarization = None
    surface_normal_estimation = None
    surface_normals_estimation = None
    surface_reconstruction = None
    surgical_gesture_recognition = None
    surgical_phase_recognition = None
    surgical_skills_evaluation = None
    surgical_tool_detection = None
    surveillance_to_booking = None
    surveillance_to_single = None
    surveillance_to_surveillance = None
    survey_sampling = None
    survival_analysis = None
    survival_prediction = None
    svamp = None
    svbrdf_estimation = None
    symbolic_regression = None
    symmetry_detection = None
    syntax_representation = None
    synthesizing_multi_parameter_magnetic_resonance_imaging_mp_mri_data = None
    synthetic_data_binarization = None
    synthetic_data_generation = None
    synthetic_image_attribution = None
    synthetic_image_detection = None
    synthetic_speech_detection = None
    synthetic_to_real_translation = None
    systematic_generalization = None
    table_detection = None
    table_extraction = None
    table_functional_analysis = None
    table_recognition = None
    table_search = None
    table_based_fact_verification = None
    table_to_text_generation = None
    tabular_classification = None
    tabular_regression = None
    tag = None
    talking_face_generation = None
    talking_head_generation = None
    target_sound_extraction = None
    target_oriented_opinion_words_extraction = None
    task_completion_dialogue_policy_learning = None
    task_oriented_dialogue_systems = None
    taxonomy_expansion = None
    template_matching = None
    temporal_action_localization = None
    temporal_action_proposal_generation = None
    temporal_information_extraction = None
    temporal_knowledge_graph_completion = None
    temporal_localization = None
    temporal_logic = None
    temporal_metadata_manipulation_detection = None
    temporal_relation_classification = None
    temporal_relation_extraction = None
    temporal_sequences = None
    temporal_tagging = None
    tensor_decomposition = None
    tensor_networks = None
    term_extraction = None
    test_results = None
    test_unseen = None
    text = None
    text_annotation = None
    text_anonymization = None
    text_attribute_transfer = None
    text_augmentation = None
    text_based_model_retrieval = None
    text_based_person_search = None
    text_categorization = None
    text_classification = None
    text_clustering = None
    text_compression = None
    text_effects_transfer = None
    text_generation = None
    text_infilling = None
    text_matching = None
    text_pair_classification = None
    text_reranking = None
    text_retrieval = None
    text_segmentation = None
    text_similarity = None
    text_simplification = None
    text_spotting = None
    text_style_transfer = None
    text_summarization = TextSummarizationModels
    text_to_3d = None
    text_to_audio_retrieval = None
    text_to_audio_video_retrieval = None
    text_to_video_retrieval = None
    text_based_de_novo_molecule_generation = None
    text_based_games = None
    text_based_image_editing = None
    text_based_person_retrieval = None
    text_based_stock_prediction = None
    text_dependent_speaker_verification = None
    text_guided_generation = None
    text_guided_image_editing = None
    text_image_retrieval = None
    text_independent_speaker_recognition = None
    text_independent_speaker_verification = None
    text_line_extraction = None
    text_to_code_generation = None
    text_to_face_generation = None
    text_to_image_generation = None
    text_to_image_retrieval = None
    text_to_shape_generation = None
    text_to_speech_synthesis = None
    text_to_sql = None
    text_to_video_generation = None
    text_to_video_search = None
    text_variation = None
    text2text_generation = None
    textual_analogy_parsing = None
    texture_classification = None
    texture_image_retrieval = None
    texture_synthesis = None
    tflm_sequence_generation = None
    tgif_action = None
    tgif_frame = None
    tgif_transition = None
    thai_word_tokenization = None
    the_semantic_segmentation_of_remote_sensing_imagery = None
    thermal_image_denoising = None
    thermal_image_segmentation = None
    thermal_infrared_object_tracking = None
    thermal_infrared_pedestrian_detection = None
    thompson_sampling = None
    thoracic_disease_classification = None
    ticket_search = None
    time_offset_calibration = None
    time_series = None
    time_series_alignment = None
    time_series_analysis = None
    time_series_anomaly_detection = None
    time_series_averaging = None
    time_series_classification = None
    time_series_clustering = None
    time_series_denoising = None
    time_series_forecasting = None
    time_series_prediction = None
    time_series_regression = None
    time_interval_prediction = None
    time_series_few_shot_learning_with_heterogeneous_channels = None
    time_to_event_prediction = None
    timeline_summarization = None
    token_classification = None
    tokenization = None
    tomographic_reconstructions = None
    tone_mapping = None
    topic_classification = None
    topic_coverage = None
    topic_models = None
    topological_data_analysis = None
    toponym_resolution = None
    total_energy = None
    touch_detection = None
    toxic_comment_classification = None
    trademark_retrieval = None
    traffic_accident_detection = None
    traffic_classification = None
    traffic_data_imputation = None
    traffic_object_detection = None
    traffic_prediction = None
    traffic_sign_detection = None
    traffic_sign_recognition = None
    training_free_3d_part_segmentation = None
    training_free_3d_point_cloud_classification = None
    trajectory_forecasting = None
    trajectory_modeling = None
    trajectory_planning = None
    trajectory_prediction = None
    transductive_learning = None
    transfer_learning = None
    transfer_reinforcement_learning = None
    transform_a_video_into_a_comics = None
    transition_based_dependency_parsing = None
    translation = None
    transliteration = None
    transparency_separation = None
    transparent_object_depth_estimation = None
    transparent_object_detection = None
    transparent_objects = None
    traveling_salesman_problem = None
    triad_prediction = None
    triple_classification = None
    triviaqa = None
    tropical_cyclone_intensity_forecasting = None
    tropical_cyclone_track_forecasting = None
    tumor_segmentation = None
    tumour_classification = None
    tweet_retrieval = None
    twitter_bot_detection = None
    twitter_event_detection = None
    twitter_sentiment_analysis = None
    two_sample_testing = None
    type_prediction = None
    ucca_parsing = None
    ultrasound = None
    unbalanced_segmentation = None
    unbiased_scene_graph_generation = None
    unconditional_image_generation = None
    unconditional_video_generation = None
    unconstrained_lip_synchronization = None
    uncropping = None
    underwater_3d_scene_reconstruction = None
    underwater_image_restoration = None
    unet_quantization = None
    unet_segmentation = None
    unfairness_detection = None
    unity = None
    univariate_time_series_forecasting = None
    universal_domain_adaptation = None
    unseen_object_instance_segmentation = None
    unsupervised_3d_human_pose_estimation = None
    unsupervised_anomaly_detection = None
    unsupervised_dependency_parsing = None
    unsupervised_domain_adaptation = None
    unsupervised_domain_expansion = None
    unsupervised_extractive_summarization = None
    unsupervised_face_recognition = None
    unsupervised_facial_landmark_detection = None
    unsupervised_facial_landmark_detection_on_mafl = None
    unsupervised_few_shot_learning = None
    unsupervised_human_pose_estimation = None
    unsupervised_image_classification = None
    unsupervised_image_decomposition = None
    unsupervised_image_segmentation = None
    unsupervised_image_to_image_translation = None
    unsupervised_keypoint_estimation = None
    unsupervised_keypoints = None
    unsupervised_landmark_detection = None
    unsupervised_learning = None
    unsupervised_machine_translation = None
    unsupervised_mnist = None
    unsupervised_monocular_depth_estimation = None
    unsupervised_object_localization = None
    unsupervised_object_segmentation = None
    unsupervised_opinion_summarization = None
    unsupervised_part_of_speech_tagging = None
    unsupervised_person_re_identification = None
    unsupervised_pre_training = None
    unsupervised_reinforcement_learning = None
    unsupervised_representation_learning = None
    unsupervised_saliency_detection = None
    unsupervised_semantic_parsing = None
    unsupervised_semantic_segmentation = None
    unsupervised_semantic_segmentation_with_language_image_pre_training = None
    unsupervised_sentence_compression = None
    unsupervised_sentence_summarization = None
    unsupervised_skeleton_based_action_recognition = None
    unsupervised_spatial_clustering = None
    unsupervised_speech_recognition = None
    unsupervised_text_classification = None
    unsupervised_text_style_transfer = None
    unsupervised_text_summarization = None
    unsupervised_video_object_segmentation = None
    unsupervised_video_summarization = None
    user_constrained_thumbnail_generation = None
    utterance_level_pronounciation_scoring = None
    valence_estimation = None
    valene_estimation = None
    value_prediction = None
    variable_detection = None
    variable_disambiguation = None
    variable_misuse = None
    variable_selection = None
    variational_inference = None
    variational_monte_carlo = None
    vector_graphics = None
    vector_graphics_animation = None
    vector_quantization_k_means_problem_ = None
    vehicle_key_point_and_orientation_estimation = None
    vehicle_pose_estimation = None
    vehicle_re_identification = None
    vehicle_speed_estimation = None
    ventricular_fibrillation_detection = None
    veracity_classification = None
    vgsi = None
    video_kinematic_base_workflow_recognition = None
    video_alignment = None
    video_anomaly_detection = None
    video_background_subtraction = None
    video_based_workflow_recognition = None
    video_captioning = None
    video_classification = None
    video_compression = None
    video_compressive_sensing = None
    video_corpus_moment_retrieval = None
    video_correspondence_flow = None
    video_deinterlacing = None
    video_denoising = None
    video_description = None
    video_domain_adapation = None
    video_editing = None
    video_emotion_recognition = None
    video_enhancement = None
    video_forensics = None
    video_frame_interpolation = None
    video_generation = None
    video_generation_from_a_single_image = None
    video_grounding = None
    video_harmonization = None
    video_individual_counting = None
    video_inpainting = None
    video_instance_segmentation = None
    video_matting = None
    video_narrative_grounding = None
    video_object_detection = None
    video_object_segmentation = None
    video_object_tracking = None
    video_polyp_segmentation = None
    video_prediction = None
    video_quality_assessment = None
    video_question_answering = None
    video_recognition = None
    video_reconstruction = None
    video_restoration = None
    video_retrieval = None
    video_saliency_detection = None
    video_saliency_prediction = None
    video_salient_object_detection = None
    video_segmentation = None
    video_semantic_segmentation = None
    video_similarity = None
    video_stabilization = None
    video_story_qa = None
    video_style_transfer = None
    video_summarization = None
    video_super_resolution = None
    video_synchronization = None
    video_to_text_retrieval = None
    video_understanding = None
    video_visual_relation_detection = None
    video_visual_relation_tagging = None
    video = None
    kinematic_segmentation_base_workflow_recognition = None
    video_based_person_re_identification = None
    video_text_retrieval = None
    video_to_shop = None
    video_to_video_synthesis = None
    vietnamese_aspect_based_sentiment_analysis = None
    vietnamese_datasets = None
    vietnamese_machine_reading_comprehension = None
    vietnamese_word_segmentation = None
    viewpoint_estimation = None
    violence_and_weaponized_violence_detection = None
    virology = None
    virtual_reality = None
    virtual_try_on = None
    vision_and_language_navigation = None
    vision_based_navigation_with_language_based_assistance = None
    vision_language_navigation = None
    visual_commonsense_reasoning = None
    visual_crowd_analysis = None
    visual_dialog = None
    visual_dialogue = None
    visual_entailment = None
    visual_grounding = None
    visual_keyword_spotting = None
    visual_localization = None
    visual_navigation = None
    visual_object_tracking = None
    visual_odometry = None
    visual_place_recognition = None
    visual_question_answering = None
    visual_question_answering_vqa_ = None
    visual_reasoning = None
    visual_relationship_detection = None
    visual_sentiment_prediction = None
    visual_servo = None
    visual_social_relationship_recognition = None
    visual_speech_recognition = None
    visual_storytelling = None
    visual_text_correction = None
    visual_tracking = None
    vnla = None
    vocal_ensemble_separation = None
    voice_anti_spoofing = None
    voice_assistant = None
    voice_cloning = None
    voice_conversion = None
    voice_query_recognition = None
    volumetric_medical_image_segmentation = None
    vowel_classification = None
    vqa = None
    vulnerability_detection = None
    w_r_l_d_sleep_staging = None
    w_r_n_sleep_staging = None
    weakly_supervised_3d_point_cloud_segmentation = None
    weakly_supervised_action_localization = None
    weakly_supervised_action_segmentation_transcript_ = None
    weakly_supervised_classification = None
    weakly_supervised_data_denoising = None
    weakly_supervised_defect_detection = None
    weakly_supervised_object_detection = None
    weakly_supervised_segmentation = None
    weakly_supervised_3d_human_pose_estimation = None
    weakly_supervised_instance_segmentation = None
    weakly_supervised_learning = None
    weakly_supervised_named_entity_recognition = None
    weakly_supervised_object_localization = None
    weakly_supervised_panoptic_segmentation = None
    weakly_supervised_semantic_segmentation = None
    weakly_supervised_temporal_action_localization = None
    weather_forecasting = None
    web_credibility = None
    webcam_rgb_image_classification = None
    webpage_object_detection = None
    website_fingerprinting_attacks = None
    white_matter_fiber_tractography = None
    whole_mammogram_classification = None
    whole_slide_images = None
    window_detection = None
    winogrande = None
    winowhy = None
    wireframe_parsing = None
    wnli = None
    word_alignment = None
    word_attribute_transfer = None
    word_embeddings = None
    word_sense_disambiguation = None
    word_sense_induction = None
    word_similarity = None
    word_spotting_in_handwritten_documents = None
    word_translation = None
    word_level_pronunciation_scoring = None
    workflow_discovery = None
    x_ray_diffraction_xrd_ = None
    xlm_r = None
    yield_mapping_in_apple_orchards = None
    youtube_vos = None
    zero_shot_segmentation = None
    zero_shot_skeletal_action_recognition = None
    zero_shot_action_detection = None
    zero_shot_action_recognition = None
    zero_shot_cross_azero_shot_image_retrievalmodal_retrieval = None
    zero_shot_cross_lingual_document_classification = None
    zero_shot_cross_lingual_image_to_text_retrieval = None
    zero_shot_cross_lingual_text_to_image_retrieval = None
    zero_shot_cross_lingual_transfer = None
    zero_shot_cross_lingual_visual_natural_language_inference = None
    zero_shot_cross_lingual_visual_question_answering = None
    zero_shot_cross_lingual_visual_reasoning = None
    zero_shot_cross_modal_retrieval = None
    zero_shot_flowchart_grounded_dialog_response_generation = None
    zero_shot_human_object_interaction_detection = None
    zero_shot_image_classification = None
    zero_shot_image_retrieval = None
    zero_shot_intent_classification = None
    zero_shot_intent_classification_and_slot_filling = None
    zero_shot_learning = None
    zero_shot_learning_domain_generalization = None
    zero_shot_machine_translation = None
    zero_shot_multi_speaker_tts = None
    zero_shot_object_detection = None
    zero_shot_relation_triplet_extraction = None
    zero_shot_slot_filling = None
    zero_shot_text_classification = None
    zero_shot_text_retrieval = None
    zero_shot_text_search = None
    zero_shot_text_to_image_generation = None
    zero_shot_transfer_image_classification = None
    zero_shot_transfer_image_classification_cn_ = None
    zero_shot_video_object_segmentation = None
    zero_shot_video_retrieval = None
